diff -ur fps-1.0-orig/fps-examples.scm fps-1.0/fps-examples.scm
--- fps-1.0-orig/fps-examples.scm	Thu Oct 31 20:07:18 1996
+++ fps-1.0/fps-examples.scm	Wed Apr 17 14:19:40 2002
@@ -305,9 +305,9 @@
 	     (single-angle  (lambda (g n) (let ((w (pt:x (end-pt g))))
 					    (* 2 (tan (/ (/ (+ w (* space-w n)) 2)
 							 radius))))))
-	     (top-angle (reduce (lambda (g angle) (+ (single-angle g n-top) angle))
+	     (top-angle (fold-right (lambda (g angle) (+ (single-angle g n-top) angle))
 				0 top-lst))
-	     (bot-angle (reduce (lambda (g angle) (+ (single-angle g n-bot) angle))
+	     (bot-angle (fold-right (lambda (g angle) (+ (single-angle g n-bot) angle))
 				0 bot-lst)))
 	(translate 
 	 300 400
Only in fps-1.0: fps-examples.scm~
diff -ur fps-1.0-orig/fps.afm.scm fps-1.0/fps.afm.scm
--- fps-1.0-orig/fps.afm.scm	Thu Oct 31 20:07:18 1996
+++ fps-1.0/fps.afm.scm	Wed Apr 17 13:47:51 2002
@@ -64,7 +64,7 @@
 
 (define construct-afm 
   
-  (let ((split-line (infix-splitter "[ \t]+")))
+  (let ((split-line (infix-splitter (rx (posix-string "[ \t]+")))))
     (lambda (fontname)
       
       (let* (;; check the FPS_AFM_PATH env var to look for the .afm file
@@ -157,8 +157,8 @@
 ;; out of a line entry (converted to a list) in the .afm file.
 
 (define	extract-glyph
-  (let ((split-kv     (suffix-splitter "[ \t]*;[ \t]*"))
-	(split-fields (field-splitter  "[^ \t]+")))
+  (let ((split-kv     (suffix-splitter (rx (posix-string "[ \t]*;[ \t]*"))))
+	(split-fields (field-splitter  (rx (posix-string "[^ \t]+")))))
     (lambda (line)
       (let ((glyph        (make-glyph #f #f #f 0 0 0 0)))
     
diff -ur fps-1.0-orig/fps.glyph.scm fps-1.0/fps.glyph.scm
--- fps-1.0-orig/fps.glyph.scm	Thu Oct 31 20:07:18 1996
+++ fps-1.0/fps.glyph.scm	Wed Apr 17 13:52:44 2002
@@ -116,7 +116,7 @@
 ;; with '%' and ':'. Returns a glyphpath.
 
 (define string->glyphpath
-  (let ((splitter (field-splitter "%%|%[^:]*:|[^%]+")))
+  (let ((splitter (field-splitter (rx (posix-string "%%|%[^:]*:|[^%]+")))))
     (lambda (font str . user-error-tag)
       (let ((error-tag (:optional user-error-tag 'empty))
 	    (lst (reverse (splitter str))))
@@ -163,7 +163,7 @@
 
 (define process-escape-str 
   (let ((splitter (field-splitter 
-		   "\\[[0-9A-Fa-f]*\\]|\\([0-9A-Fa-f]*\\)|[^[( ]+")))
+		   (rx (posix-string "\\[[0-9A-Fa-f]*\\]|\\([0-9A-Fa-f]*\\)|[^[( ]+")))))
     (lambda (font str tmp-lst error-tag)
       (string-set! str 0 #\space)
       (string-set! str (- (string-length str) 1) #\space)
Only in fps-1.0: fps.glyph.scm~
diff -ur fps-1.0-orig/fps.scm fps-1.0/fps.scm
--- fps-1.0-orig/fps.scm	Thu Oct 31 20:07:18 1996
+++ fps-1.0/fps.scm	Wed Apr 17 13:48:54 2002
@@ -53,7 +53,7 @@
 ;; (afm-directory-list) would return ("/mydir" "/yourdir")
 
 (define afm-directory-list
-  (let ((splitter (infix-splitter ":")))
+  (let ((splitter (infix-splitter (rx (posix-string ":")))))
     (lambda ()
       (cond ((getenv "FPS_AFM_PATH") => splitter)
 	    (else default-afm-dir-path)))))
